Download it now!
Bug 126607 - undocked find doesn't get focus on KDE
Summary: undocked find doesn't get focus on KDE
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.5.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.5
Keywords: bibisectRequest, regression
Depends on:
Blocks: KDE 132172
  Show dependency treegraph
 
Reported: 2019-07-30 05:59 UTC by lvm
Modified: 2020-07-27 12:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lvm 2019-07-30 05:59:11 UTC
Description:
undocked find doesn't automatically get focus on KDE when invoked

Steps to Reproduce:
prerequisites: find is undocked

1. press ^F
2. type some characters


Actual Results:
characters are typed into the document body

Expected Results:
characters should've been typed into the find string


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.5.2
Build ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-GB
Calc: threaded

Reproducible on linux with KDE 5.4 (kubuntu 18.04) but not on windows 10. Also couldn't reproduce it on xfce4 but I was running it on top of WSL/Xming, so I wouldn't call it conclusive.  Find and replace (^H) works fine on all systems. 6.2.5.2
Comment 1 Michael Weghorn 2019-11-21 08:00:12 UTC
Seems to be a qt5/kf5-specific issue.

Reproduced with

Version: 6.5.0.0.alpha0+
Build ID: c5fec7a1429611b6ac59ee958c84297706c98de0
CPU threads: 4; OS: Linux 5.2; UI render: default; VCL: kf5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

but not

Version: 6.5.0.0.alpha0+
Build ID: c5fec7a1429611b6ac59ee958c84297706c98de0
CPU threads: 4; OS: Linux 5.2; UI render: default; VCL: gtk3; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Jan-Marek Glogowski 2019-11-22 13:02:20 UTC
This is a regression of the fix for bug 119718. Eventually the Impress fullscreen mode is somehow wrong, because if you revert that fix, you get an Impress presentation window with scrollbars?! I don't know what exactly is happening there and I don't yet understand, what the flags to SalFrame::ToTop really imply. Qt's implementation is based on the X11 backend, but the Gtk+ implementation looks totally different in this regard.

Fact is that in both cases (detached find toolbar and Impress fullscreen presentation) the sent flag is "GrabFocus | GrabFocusOnly" and the qt code just calls pWidget->setFocus() on the inactive toolbar.
Comment 3 Commit Notification 2019-11-26 22:22:22 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ec554ac30236fa7949e9866d01319d4e3e88c983

tdf#126607 Qt5 activate window before setFocus

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-11-27 11:38:23 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/adbd20017ba9ac4cb2e20195f715904d9b11bc17

tdf#126607 Qt5 activate window before setFocus

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-11-27 14:05:36 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/0a8b2979b7639af4b652f434c20ede7155ab5ec2

tdf#126607 Qt5 activate window before setFocus

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 lvm 2019-11-30 12:45:03 UTC
Can confirm that it is fixed in Version: 6.3.5.0.0+
Build ID: 5d20213462ca346ba942ce5e03a5771d499d3518
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-3, Time: 2019-11-29_23:33:02

Thanks a lot.